For the complete documentation index, see llms.txt. This page is also available as Markdown.

Multiple Chain Checkout

Use payment_method=on_line with the generic USDT asset code. The hosted checkout page lets the user choose any supported USDT network.

Example

curl --location --request POST 'https://api.musepay.io/v1/order/pay' \
--header 'Content-Type: application/json' \
--data-raw '{
  "request_id": "custom_code9982674851738108",
  "currency": "USDT",
  "amount": "150",
  "payment_method": "on_line",
  "product_name": "product info",
  "email": "payin@abcpay.io",
  "notify_url": "https://notify.url",
  "remark": "checkout test remark"
}'
curl --location --request POST 'https://api.musepay.io/v1/order/pay' \
--header 'Content-Type: application/json' \
--data-raw '{
  "request_id": "custom_code9982674851738108",
  "currency": "IDR",
  "pay_currency": "USDT",
  "amount": "21000",
  "payment_method": "on_line",
  "product_name": "product info",
  "customer_ref_id": "abc123",
  "notify_url": "https://notify.url"
}'
{
  "code":"200",
  "data": {
    "request_id":"custom_code9982674851738108",
    "partner_id":"2000051",
    "order_no":"202406173100230009031352048",
    "currency":"USDT",
    "order_amount":"30",
    "status":22,
    "payment_method":"on_line",
    "receive_address":"0x050b85892F5d5ffffff516868311e7eA2043F",
    "checkout_url":"https://gateway.dev01.musepay.io/mapi/v1/open/qrCode/CnM1mFBzFDtgr0Er"
  },
  "message":"success"
}

Last updated